## haskell-haskore 0.1.0.4

=== src/Test/CSound/Makefile ===
%.wav:	%.orc %.sco
	csound -W -b 1024 -d -m 0 -o $@ $^
