=== debian/changelog ===
haskell-haskore (0.1.0.4-2) unstable; urgency=low

  [ Marco Silva ]
  * Use ghc instead of ghc6

  [ Iain Lane ]
  * Standards-Version → 3.9.2, no changes required

 -- Iain Lane <laney@debian.org>  Wed, 01 Jun 2011 11:16:09 +0100

haskell-haskore (0.1.0.4-1) unstable; urgency=low

  [ Ernesto Hernández-Novich (USB) ]
  * Initial release (Closes: 577833)

  [ Marco Túlio Gontijo e Silva ]
  * Remove explicit references to quilt in control and rules.

 -- Ernesto Hernández-Novich (USB) <emhn@usb.ve>  Mon, 10 May 2010 17:49:52 -0430
