=== debian/control ===
Source: haskell-haskore
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Ernesto Hernández-Novich (USB) <emhn@usb.ve>
Build-Depends: debhelper (>= 7), cdbs, haskell-devscripts (>= 0.7),
 ghc, ghc-prof,
 hevea, lhs2tex, texlive-latex-base, texlive-latex-recommended,
 texlive-latex-extra, texlive-math-extra, pgf,
 texlive-font-utils,
 doc-base,
 libghc-event-list-dev (>= 0.0.8),
 libghc-event-list-dev (<< 0.1),
 libghc-event-list-prof,
 libghc-markov-chain-dev (>= 0.0.1),
 libghc-markov-chain-dev (<< 0.1),
 libghc-markov-chain-prof,
 libghc-non-negative-dev (>= 0.0.1),
 libghc-non-negative-dev (<< 0.1),
 libghc-non-negative-prof,
 libghc-data-accessor-dev (>= 0.2),
 libghc-data-accessor-dev (<< 0.3),
 libghc-data-accessor-prof,
 libghc-utility-ht-dev (>= 0.0.3),
 libghc-utility-ht-dev (<< 0.1),
 libghc-utility-ht-prof,
 libghc-transformers-dev (>= 0.0.1),
 libghc-transformers-dev (<< 0.3),
 libghc-transformers-prof,
 libghc-haskell-src-dev (>= 1.0),
 libghc-haskell-src-dev (<< 1.1),
 libghc-haskell-src-prof,
 libghc-parsec2-dev (>= 2.1),
 libghc-parsec2-dev (<< 2.2),
 libghc-parsec2-prof,
 libghc-quickcheck1-dev, libghc-quickcheck1-prof,
 libghc-hunit-dev (>= 1.2),
 libghc-hunit-dev (<< 1.3),
 libghc-hunit-prof,
 libghc-midi-dev (>= 0.1.1),
 libghc-midi-dev (<< 0.2),
 libghc-midi-prof
Build-Depends-Indep: ghc-doc,
 libghc-event-list-doc,
 libghc-markov-chain-doc,
 libghc-non-negative-doc,
 libghc-data-accessor-doc,
 libghc-utility-ht-doc,
 libghc-transformers-doc,
 libghc-haskell-src-doc,
 libghc-parsec2-doc,
 libghc-midi-doc
Standards-Version: 3.9.2
Homepage: http://hackage.haskell.org/package/haskore
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-haskore
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=haskell/haskell-haskore

Package: libghc-haskore-dev
Architecture: any
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}, timidity | playmidi | pmidi, csound
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Haskore Computer Music System
 This package provides a library for the Haskell programming language.
 See http://www.haskell.org/ for more information on Haskell.
 .
 This library provides a collection of Haskell modules designed for
 expressing musical structures in the high-level, declarative style of
 functional programming. In Haskore, musical objects consist of primitive
 notions such as notes and rests, operations to transform musical objects
 such as transpose and tempo-scaling, and operations to combine musical
 objects to form more complex ones, such as concurrent and sequential
 composition. From these simple roots, much richer musical ideas can
 easily be developed.
 .
 It outputs music representations in MIDI, CSound, SuperCollider or
 directly as an audio signal.

Package: libghc-haskore-prof
Architecture: any
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}, timidity | playmidi | pmidi, csound
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Haskore Computer Music System; profiling libraries
 This package provides a library for the Haskell programming language
 compiled for profiling.
 See http://www.haskell.org/ for more information on Haskell.
 .
 This library provides a collection of Haskell modules designed for
 expressing musical structures in the high-level, declarative style of
 functional programming. In Haskore, musical objects consist of primitive
 notions such as notes and rests, operations to transform musical objects
 such as transpose and tempo-scaling, and operations to combine musical
 objects to form more complex ones, such as concurrent and sequential
 composition. From these simple roots, much richer musical ideas can
 easily be developed.
 .
 It outputs music representations in MIDI, CSound, SuperCollider or
 directly as an audio signal.

Package: libghc-haskore-doc
Section: doc
Architecture: all
Depends: ${haskell:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: Haskore Computer Music System; documentation
 This package provides the documentation for a library for the Haskell
 programming language.
 See http://www.haskell.org/ for more information on Haskell.
 .
 This library provides a collection of Haskell modules designed for
 expressing musical structures in the high-level, declarative style of
 functional programming. In Haskore, musical objects consist of primitive
 notions such as notes and rests, operations to transform musical objects
 such as transpose and tempo-scaling, and operations to combine musical
 objects to form more complex ones, such as concurrent and sequential
 composition. From these simple roots, much richer musical ideas can
 easily be developed.
 .
 It outputs music representations in MIDI, CSound, SuperCollider or
 directly as an audio signal.
