## haskell-haskore 0.2.0.2

=== debian/changelog ===
haskell-haskore (0.2.0.2-1) unstable; urgency=low

  * New upstream release
  * Bump build dependencies (included parsec2 → parsec3) and remove testing
    dependencies. 

 -- Joachim Breitner <nomeata@debian.org>  Mon, 05 Sep 2011 16:30:21 +0200
