=== debian/control ===
--- 
+++ 
@@ -9,14 +9,14 @@
  texlive-latex-extra, texlive-math-extra, pgf,
  texlive-font-utils,
  doc-base,
- libghc-event-list-dev (>= 0.0.8),
- libghc-event-list-dev (<< 0.1),
+ libghc-event-list-dev (>= 0.1),
+ libghc-event-list-dev (<< 0.2),
  libghc-event-list-prof,
  libghc-markov-chain-dev (>= 0.0.1),
  libghc-markov-chain-dev (<< 0.1),
  libghc-markov-chain-prof,
- libghc-non-negative-dev (>= 0.0.1),
- libghc-non-negative-dev (<< 0.1),
+ libghc-non-negative-dev (>= 0.1),
+ libghc-non-negative-dev (<< 0.2),
  libghc-non-negative-prof,
  libghc-data-accessor-dev (>= 0.2),
  libghc-data-accessor-dev (<< 0.3),
@@ -30,13 +30,9 @@
  libghc-haskell-src-dev (>= 1.0),
  libghc-haskell-src-dev (<< 1.1),
  libghc-haskell-src-prof,
- libghc-parsec2-dev (>= 2.1),
- libghc-parsec2-dev (<< 2.2),
- libghc-parsec2-prof,
- libghc-quickcheck1-dev, libghc-quickcheck1-prof,
- libghc-hunit-dev (>= 1.2),
- libghc-hunit-dev (<< 1.3),
- libghc-hunit-prof,
+ libghc-parsec3-dev (>= 2.1),
+ libghc-parsec3-dev (<< 3.2),
+ libghc-parsec3-prof,
  libghc-midi-dev (>= 0.1.1),
  libghc-midi-dev (<< 0.2),
  libghc-midi-prof
@@ -48,7 +44,7 @@
  libghc-utility-ht-doc,
  libghc-transformers-doc,
  libghc-haskell-src-doc,
- libghc-parsec2-doc,
+ libghc-parsec3-doc,
  libghc-midi-doc
 Standards-Version: 3.9.2
 Homepage: http://hackage.haskell.org/package/haskore
