=== src/Test/MIDI/Makefile ===
%.wav:	%.mid
	timidity -A800 -Ow -o $@ $<

Raenzlein.wav:	Raenzlein.mid
	timidity -A800 -K -12 -Ow -o $@ $<

WhiteChristmas.wav:	WhiteChristmas.mid
	timidity -A800 -K -12 -Ow -o $@ $<
