=== debian/changelog ===
haskell-haskore (0.2.0.3-5build2) saucy; urgency=low

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 18 Jun 2013 14:14:46 +0100

haskell-haskore (0.2.0.3-5build1) saucy; urgency=low

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 31 May 2013 00:18:23 +0100

haskell-haskore (0.2.0.3-5) unstable; urgency=low

  * Move Haskell blurb to the end of the description, reduces the impact
    of #708703

 -- Joachim Breitner <nomeata@debian.org>  Sat, 25 May 2013 23:52:22 +0200

haskell-haskore (0.2.0.3-4) unstable; urgency=low

  * Enable compat level 9
  * Use substvars for Haskell description blurbs

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 12:50:50 +0200

haskell-haskore (0.2.0.3-3) experimental; urgency=low

  * Depend on haskell-devscripts 0.8.13 to ensure this packages is built
    against experimental
  * Bump standards version, no change

 -- Joachim Breitner <nomeata@debian.org>  Thu, 18 Oct 2012 10:25:31 +0200

haskell-haskore (0.2.0.3-2) unstable; urgency=low

  * Remove doc-base file, avoids squeeze → wheezy upgrade problems

 -- Joachim Breitner <nomeata@debian.org>  Sat, 19 May 2012 22:31:31 +0200

haskell-haskore (0.2.0.3-1) unstable; urgency=low

  * New upstream release
  * Drop patches/Extend-process-range and patches/Add-Eq-constraint

 -- Joachim Breitner <nomeata@debian.org>  Tue, 15 May 2012 23:41:15 +0200

haskell-haskore (0.2.0.2-2) unstable; urgency=low

  * patches/Extend-process-range, patches/Add-Eq-constraint: GHC 7.4.1
    compatibility

 -- Joachim Breitner <nomeata@debian.org>  Sat, 25 Feb 2012 16:56:51 +0100
