=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Ernesto Hernández-Novich (USB) <emhn@usb.ve>
-Build-Depends: debhelper (>= 7), cdbs, haskell-devscripts (>= 0.7),
+Build-Depends: debhelper (>= 9), cdbs, haskell-devscripts (>= 0.8.15),
  ghc, ghc-prof,
  hevea, lhs2tex, texlive-latex-base, texlive-latex-recommended,
  texlive-latex-extra, texlive-math-extra, pgf,
@@ -25,7 +25,7 @@
  libghc-utility-ht-dev (<< 0.1),
  libghc-utility-ht-prof,
  libghc-transformers-dev (>= 0.0.1),
- libghc-transformers-dev (<< 0.3),
+ libghc-transformers-dev (<< 0.4),
  libghc-transformers-prof,
  libghc-haskell-src-dev (>= 1.0),
  libghc-haskell-src-dev (<< 1.1),
@@ -33,8 +33,8 @@
  libghc-parsec3-dev (>= 2.1),
  libghc-parsec3-dev (<< 3.2),
  libghc-parsec3-prof,
- libghc-midi-dev (>= 0.1.1),
- libghc-midi-dev (<< 0.2),
+ libghc-midi-dev (>= 0.2),
+ libghc-midi-dev (<< 0.3),
  libghc-midi-prof
 Build-Depends-Indep: ghc-doc,
  libghc-event-list-doc,
@@ -46,7 +46,7 @@
  libghc-haskell-src-doc,
  libghc-parsec3-doc,
  libghc-midi-doc
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Homepage: http://hackage.haskell.org/package/haskore
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-haskore
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=haskell/haskell-haskore
@@ -57,10 +57,7 @@
 Recommends: ${haskell:Recommends}, timidity | playmidi | pmidi, csound
 Suggests: ${haskell:Suggests}
 Provides: ${haskell:Provides}
-Description: Haskore Computer Music System
- This package provides a library for the Haskell programming language.
- See http://www.haskell.org/ for more information on Haskell.
- .
+Description: Haskore Computer Music System${haskell:ShortBlurb}
  This library provides a collection of Haskell modules designed for
  expressing musical structures in the high-level, declarative style of
  functional programming. In Haskore, musical objects consist of primitive
@@ -72,6 +69,8 @@
  .
  It outputs music representations in MIDI, CSound, SuperCollider or
  directly as an audio signal.
+ .
+ ${haskell:Blurb}
 
 Package: libghc-haskore-prof
 Architecture: any
@@ -79,11 +78,7 @@
 Recommends: ${haskell:Recommends}, timidity | playmidi | pmidi, csound
 Suggests: ${haskell:Suggests}
 Provides: ${haskell:Provides}
-Description: Haskore Computer Music System; profiling libraries
- This package provides a library for the Haskell programming language
- compiled for profiling.
- See http://www.haskell.org/ for more information on Haskell.
- .
+Description: Haskore Computer Music System${haskell:ShortBlurb}
  This library provides a collection of Haskell modules designed for
  expressing musical structures in the high-level, declarative style of
  functional programming. In Haskore, musical objects consist of primitive
@@ -95,6 +90,8 @@
  .
  It outputs music representations in MIDI, CSound, SuperCollider or
  directly as an audio signal.
+ .
+ ${haskell:Blurb}
 
 Package: libghc-haskore-doc
 Section: doc
@@ -102,11 +99,7 @@
 Depends: ${haskell:Depends}, ${misc:Depends}
 Recommends: ${haskell:Recommends}
 Suggests: ${haskell:Suggests}
-Description: Haskore Computer Music System; documentation
- This package provides the documentation for a library for the Haskell
- programming language.
- See http://www.haskell.org/ for more information on Haskell.
- .
+Description: Haskore Computer Music System${haskell:ShortBlurb}
  This library provides a collection of Haskell modules designed for
  expressing musical structures in the high-level, declarative style of
  functional programming. In Haskore, musical objects consist of primitive
@@ -118,3 +111,5 @@
  .
  It outputs music representations in MIDI, CSound, SuperCollider or
  directly as an audio signal.
+ .
+ ${haskell:Blurb}
