=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_DEPENDENCIES = build-arch

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/hlibrary.mk

DEB_COMPRESS_EXCLUDE  = .pdf

build/libghc-haskore-doc::
	make -f Makefile pdf

clean::
	make -f Makefile clean
	dh_testdir
