## haskell-haskore 0.2.0.4

=== debian/changelog ===
haskell-haskore (0.2.0.4-3build1) wily; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 05 Jun 2015 10:18:23 +0100

haskell-haskore (0.2.0.4-3) unstable; urgency=medium

  * Upload to unstable

 -- Joachim Breitner <nomeata@debian.org>  Mon, 27 Apr 2015 11:50:14 +0200

haskell-haskore (0.2.0.4-2) experimental; urgency=medium

  * Depend on haskell-devscripts 0.9, found in experimental
  * Do not depend on transformers, which now comes with GHC

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Dec 2014 20:31:49 +0100

haskell-haskore (0.2.0.4-1) unstable; urgency=medium

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sun, 07 Sep 2014 16:34:24 +0200

haskell-haskore (0.2.0.3-6) unstable; urgency=low

  * Adjust watch file to new hackage layout
  * Build-Depend on latex-xcolor (Closes: 741805)

 -- Joachim Breitner <nomeata@debian.org>  Sun, 16 Mar 2014 14:56:09 +0100
