=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: extra
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Ernesto Hernández-Novich (USB) <emhn@usb.ve>
-Build-Depends: debhelper (>= 9), cdbs, haskell-devscripts (>= 0.8.15),
+Build-Depends: debhelper (>= 9), cdbs, haskell-devscripts (>= 0.9),
  ghc, ghc-prof,
  hevea, lhs2tex, texlive-latex-base, texlive-latex-recommended,
- texlive-latex-extra, texlive-math-extra, pgf,
+ texlive-latex-extra, texlive-math-extra, latex-xcolor, pgf,
  texlive-font-utils,
  doc-base,
  libghc-event-list-dev (>= 0.1),
@@ -24,9 +24,6 @@
  libghc-utility-ht-dev (>= 0.0.3),
  libghc-utility-ht-dev (<< 0.1),
  libghc-utility-ht-prof,
- libghc-transformers-dev (>= 0.0.1),
- libghc-transformers-dev (<< 0.4),
- libghc-transformers-prof,
  libghc-haskell-src-dev (>= 1.0),
  libghc-haskell-src-dev (<< 1.1),
  libghc-haskell-src-prof,
@@ -42,7 +39,6 @@
  libghc-non-negative-doc,
  libghc-data-accessor-doc,
  libghc-utility-ht-doc,
- libghc-transformers-doc,
  libghc-haskell-src-doc,
  libghc-parsec3-doc,
  libghc-midi-doc
